import {cd, path} from 'zx'
import {trim} from "licia";
import {run_deploy_batch, run_deploy_root, run_package, run_upload} from "./library.js";

// 切换目录
cd(trim(path.dirname(import.meta.dirname)))
// 执行流程
try {
    await run_deploy_root()
    await run_deploy_batch(['service-common', 'service-dependencies', 'service-configuration', 'service-forest'])
    for (const profile of ['b2a4', 'b2b1', 'b2b12']) {
        await run_package('service-launcher', profile)
        await run_upload(`**/service-launcher-${profile}-1.0.0-SNAPSHOT.jar`)
    }
} catch (e) {
    console.error(e)
}